{% extends 'bases/public.html.twig' %}

{% block title %}zeue.net | Where OSS is Put to Work!{% endblock %}

{% block body %}
  {{ parent() }}
  <div class="container">
    <div>
      <h1><b>Blog</b></h1>
      <div class="row">
        {% for x in blogPosts %}
          <div class="col s4">
            <div class="card">
              {% if x.post.image64 is defined %}
                <div class="card-image">
                  <img src="{{ x.post.image64 }}">
                  <span class="card-title blog-card-title">
                    <div class="overlay-black">
                      {% filter markdown %}
                        {{ x.post.title }}
                      {% endfilter %}
                    </div>
                  </span>
                </div>
                <div class="card-content">
                  {% filter markdown %}
                    {{ x.post.content }}
                  {% endfilter %}
                </div>
              {% else %}
                <div class="card-content">
                  <span class="card-title">
                    {% filter markdown %}
                      {{ x.post.title }}
                    {% endfilter %}
                  </span>
                  {% filter markdown %}
                    {{ x.post.content }}
                  {% endfilter %}
                </div>
              {% endif %}
              <div class="card-action">
                <a href="/blog/{{ x._id["$oid"] }}">Read More</a>
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('blog') }}
{% endblock %}
